#%undefine __libtoolize
%define objprelink 0
%define test test3

Name: knoda
Version: 0.7.4
Release: alt0.1.test2

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Group: Databases
Summary: Knoda is a database frontend for KDE. It is based on hk_classes and is released under the GPL.
URL: http://knoda.sourceforge.net
License: GPL
Requires: libhk_kdeclasses = %version-%release
Requires: libhk_classes = %version-%release
Provides: libhk_kdeclasses = %version-%release

Source0: %name-%version-test2.tar.bz2
BuildPreReq: hk_classes >= %version-%release

# Automatically added by buildreq on Fri Jun 10 2005
BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel kdepim-devel kdepim-libs
BuildRequires: libarts-devel libdnet-devel libhk_classes-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings
BuildRequires: libstdc++-devel python-base python-dev qt3-designer xml-utils xorg-x11-devel-static zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Knoda allows you to:
    * define and delete databases;
    * create, alter and delete tables and indices;
    * add, change and delete data in tables;
    * define, execute and store sql queries;
    * import and export CSV data;
    * define and use forms; and
    * define reports with PostScript, HTML or user defined output (coming next)
Its driver concept allows a uniform connection to different database servers.

%package -n libhk_kdeclasses
Group: System/Libraries
Summary: Database classes for KNoda
Provides: %name = %version-%release
Requires: %name = %version-%release
#
%description -n libhk_kdeclasses
The hk_classes are a set of non-visual routines which allow you to develop database frontend applications as easy as possible. You need also a database driver to run applications. A driver for Mysql is included in this library and will be automatically installed if configure finds a working mysql installation on your computer.

%package -n libhk_kdeclasses-devel
Group: Development/C++
Summary: Development files for lib%name
Requires: libhk_kdeclasses = %version-%release
#
%description -n libhk_kdeclasses-devel
This package contains headers and other development files for lib%name


%prep
%setup -q -n %name-%version-test2
%add_findprov_lib_path %_libdir/hk_classes
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in
%__subst 's,\.la\>,.so,
	  s,\-ansi\|-pedantic,,' acinclude.m4 admin/acinclude.m4* configure.in
%__subst '/po\/sv/d' configure.in
%__subst 's,\.la\>,.so,' configure
#%__subst 's,\.la\>,.so,' admin/acinclude.m4.in
make -f admin/Makefile.common cvs
#[ -f Makefile.cvs ] && make -f Makefile.cvs

%build
%configure \
    --disable-rpath \
    --disable-debug \
    --disable-static \
    --enable-shared

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif


%install
%make DESTDIR=%buildroot install
#%set_verify_elf_method textrel=relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Databases %buildroot%_datadir/applnk/Office/%name.desktop %buildroot%_menudir/%name

cp %buildroot%_iconsdir/hicolor/32x32/apps/%name.png %buildroot%_iconsdir

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%post -n libhk_kdeclasses -p /sbin/ldconfig
%postun -n libhk_kdeclasses -p /sbin/ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/apps/knoda
%_datadir/applnk/Office/%name.desktop
%_iconsdir/*/*/*/*.png
%_iconsdir/%name.png
#
%_menudir/%name
#
%doc %_datadir/doc/HTML/en/%name
%doc README AUTHORS NEWS ChangeLog

%files -n libhk_kdeclasses
%_datadir/apps/hk_kdeclasses
%_datadir/services/hk_kde*.desktop
%_datadir/config/magic/*.magic
%_datadir/mimelnk/application/*.desktop
#%_libdir/*.so.*
%_libdir/*.so
%_libdir/kde3/*.so
%_libdir/kde3/*.la
#%_libdir/python2.3/site-packages/*.so
#%_libdir/python2.3/site-packages/*.p*
#
%doc README AUTHORS

%files -n libhk_kdeclasses-devel
%_includedir/*.h
#
%doc ChangeLog

%changelog
* Fri Jun 10 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.4-alt0.1.test2
- 0.7.4-test2

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Dec 12 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Sun Jul 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1
- 0.7-releaze
- fix builrequires

* Thu Jun 10 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.3.test2
- fix requires

* Tue Jun 08 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.2.test2
- fix BuildPreReq
- 0.7-test2

* Thu Jun 03 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.1.test1
- fix builrequires
- 0.7-test1

* Thu Apr 01 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.3-alt0.2.test3
- fix builrequires
- 0.6.3-test3

* Thu Nov 06 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.1-alt1
- 0.6.1
- new builrequires and rebuilding in hasher

* Fri May 09 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6-alt2
- fix requires

* Wed May 07 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6-alt1
- 0.6

* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt3
- fix requires

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt2
- new location for drivers

* Thu Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Wed Nov 27 2002 AEN <aen@altlinux.ru> 0.5.5-alt3
- spec fixed

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.5-alt2
- fix Obsoletes Requires BuildRequires
- remove Serial before putting into Sisyphus

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1:0.5.5-alt1
- 0.5.5

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.3-alt2
- build with gcc3.2

* Thu Jul 25 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Sat Jun 4 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.2-alt1
- 0.5.1

* Thu Jan 03 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.4.3-alt0.1
- 0.4.3

- specfile cleanup

